package com.artfess.cqlt.dao;

import com.artfess.cqlt.model.QfFinanceLiquidityDetail;
import com.artfess.cqlt.vo.FaReportRespVo;
import com.artfess.cqlt.vo.ReportReqVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 资金--周资金计划填报实际数据详情表 Mapper 接口
 *
 * @author min.wu
 * @company 阿特菲斯信息技术有限公司
 * @since 2023-03-02
 */
public interface QfFinanceLiquidityDetailDao extends BaseMapper<QfFinanceLiquidityDetail> {

    List<Integer> getHeader(@Param("mainId") String mainId);

    List<String> getEnterpriseCode(@Param("mainId") String mainId);

    List<FaReportRespVo> getPlanData(@Param("vo") ReportReqVo t);

    List<FaReportRespVo> getWarnData(@Param("vo") ReportReqVo t);

    FaReportRespVo getActualData(@Param("vo") ReportReqVo t);
}
